#pragma once

#include "CoreMinimal.h"
#include "CoreInboxBodySectionBaseWidget.h"
#include "CoreInboxBodySectionImageWidget.generated.h"

class UDBDRichTextBlock;
class UDBDImage;
class UTextureLoadingWrapper;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreInboxBodySectionImageWidget : public UCoreInboxBodySectionBaseWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDRichTextBlock* TextRTB;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDImage* ImageIMG;

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	UTextureLoadingWrapper* _imageLoader;

public:
	UCoreInboxBodySectionImageWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreInboxBodySectionImageWidget) { return 0; }
